/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: OI_TARGET.h,v 1.2 2010/01/26 10:00:53 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jaffe     2010-01-21  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/*----------------------------------------------------------------------- */
/* Definition of OI_TARGET table                                      */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="OI_TARGET";
 
/* Define the keywords to be used */
int nkey = 1;       /* number of keywords */
char* keywords[] = { /* Table keywords */
         "OI_REVN"
};
int keytype[] = {   /* data types of the keywords */
         TINT
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition"
};
/* Define the  columns in the table */
int ncol = 17;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "TARGET_ID",
         "TARGET",
         "RAEP0",
         "DECEP0",
         "EQUINOX",
         "RA_ERR",
         "DEC_ERR",
         "SYSVEL",
         "VELTYP",
         "VELDEF",
         "PMRA",
         "PMDEC",
         "PMRA_ERR",
         "PMDEC_ERR",
         "PARALLAX",
         "PARA_ERR",
         "SPECTYP"
};
int coldatatype[] = {   /* data types of the keywords */
         TINT,
         TSTRING,
         TDOUBLE,
         TDOUBLE,
         TFLOAT,
         TDOUBLE,
         TDOUBLE,
         TDOUBLE,
         TSTRING,
         TSTRING,
         TDOUBLE,
         TDOUBLE,
         TDOUBLE,
         TDOUBLE,
         TFLOAT,
         TFLOAT,
         TSTRING
};
char* colunits[] = {   /*  Units for columns */
         "",
         "",
         "DEGREES",
         "DEGREES",
         "YEAR",
         "DEGREES",
         "DEGREES",
         "M/S",
         "UNKNOWN",
         "OPTICAL",
         "DEG/YR",
         "DEG/YR",
         "DEG/YR",
         "DEG/YR",
         "DEGREES",
         "DEGREES",
         "      "
};
long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         1,
         16,
         1,
         1,
         1,
         1,
         1,
         1,
         8,
         8,
         1,
         1,
         1,
         1,
         1,
         1,
         16
};
char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " "
};
/* */
